Bug 180660 - [patch] textproc/enchant: set location of hunspell dictionaries
Summary: [patch] textproc/enchant: set location of hunspell dictionaries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-19 18:30 UTC by Tijl Coosemans
Modified: 2013-09-20 13:20 UTC (History)
0 users

See Also:


Attachments
enchant.patch (760 bytes, patch)
2013-07-19 18:30 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2013-07-19 18:30:00 UTC
The hunspell backend is currently broken because it looks for dictionaries
in the wrong location. The attached patch adds --with-myspell-dir to
CONFIGURE_ARGS. It also adds --with-system-myspell to prevent accidental
use of the internal version.

Also, I suggest making hunspell the default backend because that's what
applications like OpenOffice, LibreOffice, Firefox, Thunderbird,... use.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-19 18:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2013-09-20 13:14:50 UTC
State Changed
From-To: open->closed

Committed thanks!
Comment 3 dfilter service freebsd_committer 2013-09-20 13:16:06 UTC
Author: kwm
Date: Fri Sep 20 12:15:57 2013
New Revision: 327695
URL: http://svnweb.freebsd.org/changeset/ports/327695

Log:
  Make sure we use system hunspell and look in the right location where to
  find the dictionaries. [1]
  Do the same for hspell and ispell, and use new lib_depend syntax.
  USE_GMAKE => USES=gmake and fix bug in configure script.
  
  PR:		ports/180660
  Submitted by:	tijl@

Added:
  head/textproc/enchant/files/
  head/textproc/enchant/files/patch-configure   (contents, props changed)
Modified:
  head/textproc/enchant/Makefile

Modified: head/textproc/enchant/Makefile
==============================================================================
--- head/textproc/enchant/Makefile	Fri Sep 20 12:13:54 2013	(r327694)
+++ head/textproc/enchant/Makefile	Fri Sep 20 12:15:57 2013	(r327695)
@@ -12,10 +12,9 @@ DIST_SUBDIR=	gnome2
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Dictionary/spellchecking framework
 
-USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
-USES=		pathfix pkgconfig
+USES=		gmake pathfix pkgconfig
 USE_GNOME=	glib20 ltverhack
 CONFIGURE_ARGS=	--disable-uspell \
 		--disable-voikko
@@ -34,7 +33,7 @@ ZEMBEREK_DESC=	Spell checking via Zember
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MASPELL}
-LIB_DEPENDS+=	pspell:${PORTSDIR}/textproc/aspell
+LIB_DEPENDS+=	libaspell.so:${PORTSDIR}/textproc/aspell
 CONFIGURE_ARGS+=--enable-aspell \
 		--with-aspell-prefix=${LOCALBASE}
 PLIST_SUB+=	ASPELL=""
@@ -45,7 +44,8 @@ PLIST_SUB+=	ASPELL="@comment "
 
 .if ${PORT_OPTIONS:MHSPELL}
 BUILD_DEPENDS+=	${LOCALBASE}/lib/libhspell.a:${PORTSDIR}/hebrew/hspell
-CONFIGURE_ARGS+=--enable-hspell
+CONFIGURE_ARGS+=--enable-hspell \
+		--with-hspell-prefix=${LOCALBASE}
 PLIST_SUB+=	HSPELL=""
 .else
 CONFIGURE_ARGS+=--disable-hspell
@@ -53,8 +53,9 @@ PLIST_SUB+=	HSPELL="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MHUNSPELL}
-LIB_DEPENDS+=	hunspell-1.3:${PORTSDIR}/textproc/hunspell
-CONFIGURE_ARGS+=--enable-myspell
+LIB_DEPENDS+=	libhunspell-1.3.so:${PORTSDIR}/textproc/hunspell
+CONFIGURE_ARGS+=--enable-myspell --with-system-myspell=yes \
+		--with-myspell-dir=${LOCALBASE}
 PLIST_SUB+=	HUNSPELL=""
 .else
 CONFIGURE_ARGS+=--disable-myspell
@@ -63,7 +64,8 @@ PLIST_SUB+=	HUNSPELL="@comment "
 
 .if ${PORT_OPTIONS:MISPELL}
 RUN_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell
-CONFIGURE_ARGS+=--enable-ispell
+CONFIGURE_ARGS+=--enable-ispell \
+		--with-ispell-dir=${LOCALBASE}
 PLIST_SUB+=	ISPELL=""
 .else
 CONFIGURE_ARGS+=--disable-ispell
@@ -71,7 +73,7 @@ PLIST_SUB+=	ISPELL="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MZEMBEREK}
-LIB_DEPENDS+=	dbus-glib-1:${PORTSDIR}/devel/dbus-glib
+LIB_DEPENDS+=	libdbus-glib-1.so:${PORTSDIR}/devel/dbus-glib
 CONFIGURE_ARGS+=--enable-zemberek
 PLIST_SUB+=	ZEMBEREK=""
 .else

Added: head/textproc/enchant/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/enchant/files/patch-configure	Fri Sep 20 12:15:57 2013	(r327695)
@@ -0,0 +1,11 @@
+--- configure.orig	2013-08-16 18:30:56.000000000 +0200
++++ configure	2013-08-16 18:31:33.000000000 +0200
+@@ -18213,7 +18213,7 @@
+ fi
+ 
+ 
+-       ASPELL_CFLAGS+=" -DHAVE_PSPELL_H"
++       ASPELL_CFLAGS="${ASPELL_CFLAGS} -DHAVE_PSPELL_H"
+    elif test -f "$aspell_prefix/include/aspell.h"; then
+        { $as_echo "$as_me:$LINENO: result: yes (aspell)" >&5
+ $as_echo "yes (aspell)" >&6; }
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"